Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001282KdenliveRenderingpublic2009-11-16 18:102010-02-20 08:17
Reporterorestes 
Assigned Toddennedy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformGNU/Linux amd64,i386OSKubuntu LinuxOS Version9.10
Product Version0.7.6 
Target VersionFixed in Version0.7.7 
Summary0001282: Rendering aborts at the end with a buffer overflow when rendering some formats
DescriptionWhen rendering some formats, even with a simple video clip of about 30 seconds with no effects/transitions, operation ends with an error message saying, literally, "Rendering of <file_name> aborted, resulting video will probably be corrupted.

FORMATS THAT FAIL:
=================
Theora 8000k, one pass
Flash 8000k, one pass
Xvid4 8000k, one pass
MPEG-4 8000k, one pass

FORMATS RENDERED OK:
====================
MPEG-2 8000k
REALVIDEO
AVI DV DV PAL 4:3
PAL 720 25p

Two-pass rendering also fails at the end of first pass, with same formats as above.
In one case (MPEG-4 rendering), the output file was unplayable either by mplayer, ffplay or melt. In all other cases, generated file is playable, though, and it doesn't seem to be damaged, despite of the aborted rendering.

Rendering Error Log follows:
[mp3 @ 0x10117a0]mdb:12, lastbuf:0 skipping granule 0
*** buffer overflow detected ***: /usr/local/bin/melt terminated ======= Backtrace: ========= /lib/libc.so.6(__fortify_fail+0x37)[0x7f9a8c0b75f7] /lib/libc.so.6[0x7f9a8c0b65a0] /usr/local/lib/mlt/libmltavformat.so[0x7f9a84d94285] /lib/libpthread.so.0[0x7f9a8c335a04] /lib/libc.so.6(clone+0x6d)[0x7f9a8c09f7bd] ======= Memory map: ======== 00400000-00405000 r-xp 00000000 fc:01 51470 /usr/local/bin/melt 00604000-00605000 r--p 00004000 fc:01 51470 /usr/local/bin/melt 00605000-00606000 rw-p 00005000 fc:01 51470 /usr/local/bin/melt 00b3c000-01333000 rw-p 00000000 00:00 0 [heap] 7f9a70000000-7f9a70021000 rw-p 00000000 00:00 0 7f9a70021000-7f9a74000000 ---p 00000000 00:00 0 7f9a764cb000-7f9a77865000 rw-p 00000000 00:00 0 7f9a7786b000-7f9a792ac000 rw-p 00000000 00:00 0 7f9a792ac000-7f9a792ad000 ---p 00000000 00:00 0 7f9a792ad000-7f9a7adbf000 rw-p 00000000 00:00 0 7f9a7adbf000-7f9a7adc0000 ---p 00000000 00:00 0 7f9a7adc0000-7f9a7b5c0000 rw-p 00000000 00:00 0 7f9a7b5c0000-7f9a7b5c4000 r-xp 00000000 fc:01 338233 /usr/local/lib/mlt/libmltmelt.so 7f9a7b5c4000-7f9a7b7c3000 ---p 00004000 fc:01 338233 /usr/local/lib/mlt/libmltmelt.so 7f9a7b7c3000-7f9a7b7c4000 r--p 00003000 fc:01 338233 /usr/local/lib/mlt/libmltmelt.so 7f9a7b7c4000-7f9a7b7c5000 rw-p 00004000 fc:01 338233 /usr/local/lib/mlt/libmltmelt.so 7f9a7b7c5000-7f9a7b7ca000 r-xp 00000000 fc:01 338239 /usr/local/lib/mlt/libmltfrei0r.so 7f9a7b7ca000-7f9a7b9c9000 ---p 00005000 fc:01 338239 /usr/local/lib/mlt/libmltfrei0r.so 7f9a7b9c9000-7f9a7b9ca000 r--p 00004000 fc:01 338239 /usr/local/lib/mlt/libmltfrei0r.so 7f9a7b9ca000-7f9a7b9cb000 rw-p 00005000 fc:01 338239 /usr/local/lib/mlt/libmltfrei0r.so 7f9a7b9cb000-7f9a7b9cf000 r-xp 00000000 fc:01 338290 /usr/local/lib/mlt/libmltdgraft.so 7f9a7b9cf000-7f9a7bbcf000 ---p 00004000 fc:01 338290 /usr/local/lib/mlt/libmltdgraft.so 7f9a7bbcf000-7f9a7bbd0000 r--p 00004000 fc:01 338290 /usr/local/lib/mlt/libmltdgraft.so 7f9a7bbd0000-7f9a7bbd1000 rw-p 00005000 fc:01 338290 /usr/local/lib/mlt/libmltdgraft.so 7f9a7bbd1000-7f9a7bbdb000 r-xp 00000000 fc:01 338228 /usr/local/lib/mlt/libmltxml.so 7f9a7bbdb000-7f9a7bdda000 ---p 0000a000 fc:01 338228 /usr/local/lib/mlt/libmltxml.so 7f9a7bdda000-7f9a7bddb000 r--p 00009000 fc:01 338228 /usr/local/lib/mlt/libmltxml.so 7f9a7bddb000-7f9a7bddc000 rw-p 0000a000 fc:01 338228 /usr/local/lib/mlt/libmltxml.so 7f9a7bddc000-7f9a7bde0000 r-xp 00000000 fc:01 338194 /usr/local/lib/mlt/libmltoldfilm.so 7f9a7bde0000-7f9a7bfdf000 ---p 00004000 fc:01 338194 /usr/local/lib/mlt/libmltoldfilm.so 7f9a7bfdf000-7f9a7bfe0000 r--p 00003000 fc:01 338194 /usr/local/lib/mlt/libmltoldfilm.so 7f9a7bfe0000-7f9a7bfe1000 rw-p 00004000 fc:01 338194 /usr/local/lib/mlt/libmltoldfilm.so 7f9a7bfe1000-7f9a7bfe8000 r-xp 00000000 fc:01 6848 /usr/lib/libxcb-render.so.0.0.0 7f9a7bfe8000-7f9a7c1e8000 ---p 00007000 fc:01 6848 /usr/lib/libxcb-render.so.0.0.0 7f9a7c1e8000-7f9a7c1e9000 r--p 00007000 fc:01 6848 /usr/lib/libxcb-render.so.0.0.0 7f9a7c1e9000-7f9a7c1ea000 rw-p 00008000 fc:01 6848 /usr/lib/libxcb-render.so.0.0.0 7f9a7c1ea000-7f9a7c1ed000 r-xp 00000000 fc:01 6855 /usr/lib/libxcb-render-util.so.0.0.0 7f9a7c1ed000-7f9a7c3ec000 ---p 00003000 fc:01 6855 /usr/lib/libxcb-render-util.so.0.0.0 7f9a7c3ec000-7f9a7c3ed000 r--p 00002000 fc:01 6855 /usr/lib/libxcb-render-util.so.0.0.0 7f9a7c3ed000-7f9a7c3ee000 rw-p 00003000 fc:01 6855 /usr/lib/libxcb-render-util.so.0.0.0 7f9a7c3ee000-7f9a7c431000 r-xp 00000000 fc:01 6860 /usr/lib/libpixman-1.so.0.14.0 7f9a7c431000-7f9a7c630000 ---p 00043000 fc:01 6860 /usr/lib/libpixman-1.so.0.14.0 7f9a7c630000-7f9a7c632000 r--p 00042000 fc:01 6860 /usr/lib/libpixman-1.so.0.14.0 7f9a7c632000-7f9a7c633000 rw-p 00044000 fc:01 6860 /usr/lib/libpixman-1.so.0.14.0 7f9a7c633000-7f9a7c64f000 r-xp 00000000 fc:01 1456 /lib/libselinux.so.1 7f9a7c64f000-7f9a7c84e000 ---p 0001c000 fc:01 1456 /lib/libselinux.so.1 7f9a7c84e000-7f9a7c84f000 r--p 0001b000 fc:01 1456 /lib/libselinux.so.1 7f9a7c84f000-7f9a7c850000 rw-p 0001c000 fc:01 1456 /lib/libselinux.so.1 7f9a7c850000-7f9a7c851000 rw-p 00000000 00:00 0 7f9a7c851000-7f9a7c867000 r-xp 00000000 fc:01 12030 /lib/libresolv-2.10.1.so 7f9a7c867000-7f9a7ca66000 ---p 00016000 fc:01 12030 /lib/libresolv-2.10.1.so 7f9a7ca66000-7f9a7ca67000 r--p 00015000 fc:01 12030 /lib/libresolv-2.10.1.so 7f9a7ca67000-7f9a7ca68000 rw-p 00016000 fc:01 12030 /lib/libresolv-2.10.1.so 7f9a7ca68000-7f9a7ca6a000 rw-p 00000000 00:00 0 7f9a7ca6a000-7f9a7cae9000 r-xp 00000000 fc:01 6862 /usr/lib/libcairo.so.2.10800.8 7f9a7cae9000-7f9a7cce9000 ---p 0007f000 fc:01 6862 /usr/lib/libcairo.so.2.10800.8 7f9a7cce9000-7f9a7cceb000 r--p 0007f000 fc:01 6862 /usr/lib/libcairo.so.2.10800.8 7f9a7cceb000-7f9a7ccec000 rw-p 00081000 fc:01 6862 /usr/lib/libcairo.so.2.10800.8 7f9a7ccec000-7f9a7cced000 rw-p 00000000 00:00 0 7f9a7cced000-7f9a7ccf2000 r-xp 00000000 fc:01 2269 /usr/lib/libXfixes.so.3.1.0 7f9a7ccf2000-7f9a7cef1000 ---p 00005000 fc:01 2269 /usr/lib/libXfixes.so.3.1.0 7f9a7cef1000-7f9a7cef2000 r--p 00004000 fc:01 2269 /usr/lib/libXfixes.so.3.1.0 7f9a7cef2000-7f9a7cef3000 rw-p 00005000 fc:01 2269 /usr/lib/libXfixes.so.3.1.0 7f9a7cef3000-7f9a7cef5000 r-xp 00000000 fc:01 15501 /usr/lib/libXdamage.so.1.1.0 7f9a7cef5000-7f9a7d0f4000 ---p 00002000 fc:01 15501 /usr/lib/libXdamage.so.1.1.0 7f9a7d0f4000-7f9a7d0f5000 rw-p 00001000 fc:01 15501 /usr/lib/libXdamage.so.1.1.0 7f9a7d0f5000-7f9a7d0f7000 r-xp 00000000 fc:01 26481 /usr/lib/libXcomposite.so.1.0.0 7f9a7d0f7000-7f9a7d2f6000 ---p 00002000 fc:01 26481 /usr/lib/libXcomposite.so.1.0.0 7f9a7d2f6000-7f9a7d2f7000 r--p 00001000 fc:01 26481 /usr/lib/libXcomposite.so.1.0.0 7f9a7d2f7000-7f9a7d2f8000 rw-p 00002000 fc:01 26481 /usr/lib/libXcomposite.so.1.0.0 7f9a7d2f8000-7f9a7d301000 r-xp 00000000 fc:01 100951 /usr/lib/libXcursor.so.1.0.2 7f9a7d301000-7f9a7d500000 ---p 00009000 fc:01 100951 /usr/lib/libXcursor.so.1.0.2 7f9a7d500000-7f9a7d501000 r--p 00008000 fc:01 100951 /usr/lib/libXcursor.so.1.0.2 7f9a7d501000-7f9a7d502000 rw-p 00009000 fc:01 100951 /usr/lib/libXcursor.so.1.0.2 7f9a7d502000-7f9a7d50a000 r-xp 00000000 fc:01 100834 /usr/lib/libXrandr.so.2.2.0 7f9a7d50a000-7f9a7d709000 ---p 00008000 fc:01 100834 /usr/lib/libXrandr.so.2.2.0 7f9a7d709000-7f9a7d70a000 r--p 00007000 fc:01 100834 /usr/lib/libXrandr.so.2.2.0 7f9a7d70a000-7f9a7d70b000 rw-p 00008000 fc:01 100834 /usr/lib/libXrandr.so.2.2.0 7f9a7d70b000-7f9a7d714000 r-xp 00000000 fc:01 101123 /usr/lib/libXi.so.6.0.0 7f9a7d714000-7f9a7d914000 ---p 00009000 fc:01 101123 /usr/lib/libXi.so.6.0.0 7f9a7d914000-7f9a7d915000 r--p 00009000 fc:01 101123 /usr/lib/libXi.so.6.0.0 7f9a7d915000-7f9a7d916000 rw-p 0000a000 fc:01 101123 /usr/lib/libXi.so.6.0.0 7f9a7d916000-7f9a7d918000 r-xp 00000000 fc:01 30060 /usr/lib/libXinerama.so.1.0.0 7f9a7d918000-7f9a7db17000 ---p 00002000 fc:01 30060 /usr/lib/libXinerama.so.1.0.0 7f9a7db17000-7f9a7db18000 rw-p 00001000 fc:01 30060 /usr/lib/libXinerama.so.1.0.0 7f9a7db18000-7f9a7db1b000 r-xp 00000000 fc:01 11751 /usr/lib/libgmodule-2.0.so.0.2200.2 7f9a7db1b000-7f9a7dd1a000 ---p 00003000 fc:01 11751 /usr/lib/libgmodule-2.0.so.0.2200.2 7f9a7dd1a000-7f9a7dd1b000 r--p 00002000 fc:01 11751 /usr/lib/libgmodule-2.0.so.0.2200.2 7f9a7dd1b000-7f9a7dd1c000 rw-p 00003000 fc:01 11751 /usr/lib/libgmodule-2.0.so.0.2200.2 7f9a7dd1c000-7f9a7ddc2000 r-xp 00000000 fc:01 11753 /usr/lib/libgio-2.0.so.0.2200.2 7f9a7ddc2000-7f9a7dfc2000 ---p 000a6000 fc:01 11753 /usr/lib/libgio-2.0.so.0.2200.2 7f9a7dfc2000-7f9a7dfc4000 r--p 000a6000 fc:01 11753 /usr/lib/libgio-2.0.so.0.2200.2 7f9a7dfc4000-7f9a7dfc5000 rw-p 000a8000 fc:01 11753 /usr/lib/libgio-2.0.so.0.2200.2 7f9a7dfc5000-7f9a7dfc6000 rw-p 00000000 00:00 0 7f9a7dfc6000-7f9a7dfd1000 r-xp 00000000 fc:01 6891 /usr/lib/libpangocairo-1.0.so.0.2600.0 7f9a7dfd1000-7f9a7e1d0000 ---p 0000b000 fc:01 6891 /usr/lib/libpangocairo-1.0.so.0.2600.0 7f9a7e1d0000-7f9a7e1d1000 r--p 0000a000 fc:01 6891 /usr/lib/libpangocairo-1.0.so.0.2600.0 7f9a7e1d1000-7f9a7e1d2000 rw-p 0000b000 fc:01 6891 /usr/lib/libpangocairo-1.0.so.0.2600.0 7f9a7e1d2000-7f9a7e218000 r-xp 00000000 fc:01 6890 /usr/lib/libpango-1.0.so.0.2600.0 7f9a7e218000-7f9a7e418000 ---p 00046000 fc:01 6890 /usr/lib/libpango-1.0.so.0.2600.0 7f9a7e418000-7f9a7e41a000 r--p 00046000 fc:01 6890 /usr/lib/libpango-1.0.so.0.2600.0 7f9a7e41a000-7f9a7e41b000 rw-p 00048000 fc:01 6890 /usr/lib/libpango-1.0.so.0.2600.0 7f9a7e41b000-7f9a7e436000 r-xp 00000000 fc:01 18219 /usr/lib/libgdk_pixbuf-2.0.so.0.1800.3 7f9a7e436000-7f9a7e635000 ---p 0001b000 fc:01 18219 /usr/lib/libgdk_pixbuf-2.0.so.0.1800.3 7f9a7e635000-7f9a7e636000 r--p 0001a000 fc:01 18219 /usr/lib/libgdk_pixbuf-2.0.so.0.1800.3 7f9a7e636000-7f9a7e637000 rw-p 0001b000 fc:01 18219 /usr/lib/libgdk_pixbuf-2.0.so.0.1800.3 7f9a7e637000-7f9a7e65e000 r-xp 00000000 fc:01 6892 /usr/lib/libpangoft2-1.0.so.0.2600.0 7f9a7e65e000-7f9a7e85e000 ---p 00027000 fc:01 6892 /usr/lib/libpangoft2-1.0.so.0.2600.0 7f9a7e85e000-7f9a7e85f000 r--p 00027000 fc:01 6892 /usr/lib/libpangoft2-1.0.so.0.2600.0 7f9a7e85f000-7f9a7e860000 rw-p 00028000 fc:01 6892 /usr/lib/libpangoft2-1.0.so.0.2600.0 7f9a7e860000-7f9a7e907000 r-xp 00000000 fc:01 18218 /usr/lib/libgdk-x11-2.0.so.0.1800.3 7f9a7e907000-7f9a7eb06000 ---p 000a7000 fc:01 18218 /usr/lib/libgdk-x11-2.0.so.0.1800.3 7f9a7eb06000-7f9a7eb0a000 r--p 000a6000 fc:01 18218 /usr/lib/libgdk-x11-2.0.so.0.1800.3 7f9a7eb0a000-7f9a7eb0c000 rw-p 000aa000 fc:01 18218 /usr/lib/libgdk-x11-2.0.so.0.1800.3 7f9a7eb0c000-7f9a7eb15000 r-xp 00000000 fc:01 338213 /usr/local/lib/mlt/libmltgtk2.so 7f9a7eb15000-7f9a7ed14000 ---p 00009000 fc:01 338213 /usr/local/lib/mlt/libmltgtk2.so 7f9a7ed14000-7f9a7ed15000 r--p 00008000 fc:01 338213 /usr/local/lib/mlt/libmltgtk2.so 7f9a7ed15000-7f9a7ed16000 rw-p 00009000 fc:01 338213 /usr/local/lib/mlt/libmltgtk2.so 7f9a7ed16000-7f9a7ed3c000 r-xp 00000000 fc:01 102306 /lib/libexpat.so.1.5.2 7f9a7ed3c000-7f9a7ef3c000 ---p 00026000 fc:01 102306 /lib/libexpat.so.1.5.2 7f9a7ef3c000-7f9a7ef3e000 r--p 00026000 fc:01 102306 /lib/libexpat.so.1.5.2 7f9a7ef3e000-7f9a7ef3f000 rw-p 00028000 fc:01 102306 /lib/libexpat.so.1.5.2 7f9a7ef3f000-7f9a7ef42000 r-xp 00000000 fc:01 4877 /lib/libuuid.so.1.3.0 7f9a7ef42000-7f9a7f142000 ---p 00003000 fc:01 4877 /lib/libuuid.so.1.3.0 7f9a7f142000-7f9a7f143000 r--p 00003000 fc:01 4877 /lib/libuuid.so.1.3.0 7f9a7f143000-7f9a7f144000 rw-p 00004000 fc:01 4877 /lib/libuuid.so.1.3.0 7f9a7f144000-7f9a7f1a3000 r-xp 00000000 fc:01 15536 /usr/lib/libXt.so.6.0.0 7f9a7f1a3000-7f9a7f3a3000 ---p 0005f000 fc:01 15536 /usr/lib/libXt.so.6.0.0 7f9a7f3a3000-7f9a7f3a4000 r--p 0005f000 fc:01 15536 /usr/lib/libXt.so.6.0.0 7f9a7f3a4000-7f9a7f3a9000 rw-p 00060000 fc:01 15536 /usr/lib/libXt.so.6.0.0 7f9a7f3a9000-7f9a7f3aa000 rw-p 00000000 00:00 0 7f9a7f3aa000-7f9a7f3ae000 r-xp 00000000 fc:01 11752 /usr/lib/libgthread-2.0.so.0.2200.2 7f9a7f3ae000-7f9a7f5ad000 ---p 00004000 fc:01 11752 /usr/lib/libgthread-2.0.so.0.2200.2 7f9a7f5ad000-7f9a7f5ae000 r--p 00003000 fc:01 11752 /usr/lib/libgthread-2.0.so.0.2200.2 7f9a7f5ae000-7f9a7f5af000 rw-p 00004000 fc:01 11752 /usr/lib/libgthread-2.0.so.0.2200.2 7f9a7f5af000-7f9a7f5c0000 r-xp 00000000 fc:01 27817 /usr/lib/libXext.so.6.4.0 7f9a7f5c0000-7f9a7f7bf000 ---p 00011000 fc:01 27817 /usr/lib/libXext.so.6.4.0 7f9a7f7bf000-7f9a7f7c0000 r--p 00010000 fc:01 27817 /usr/lib/libXext.so.6.4.0 7f9a7f7c0000-7f9a7f7c1000 rw-p 00011000 fc:01 27817 /usr/lib/libXext.so.6.4.0 7f9a7f7c1000-7f9a7f7f1000 r-xp 00000000 fc:01 21814 /usr/lib/libfontconfig.so.1.3.0 7f9a7f7f1000-7f9a7f9f1000 ---p 00030000 fc:01 21814 /usr/lib/libfontconfig.so.1.3.0 7f9a7f9f1000-7f9a7f9f2000 r--p 00030000 fc:01 21814 /usr/lib/libfontconfig.so.1.3.0 7f9a7f9f2000-7f9a7f9f3000 rw-p 00031000 fc:01 21814 /usr/lib/libfontconfig.so.1.3.0 7f9a7f9f3000-7f9a7f9fc000 r-xp 00000000 fc:01 9235 /usr/lib/libXrender.so.1.3.0 7f9a7f9fc000-7f9a7fbfb000 ---p 00009000 fc:01 9235 /usr/lib/libXrender.so.1.3.0 7f9a7fbfb000-7f9a7fbfc000 r--p 00008000 fc:01 9235 /usr/lib/libXrender.so.1.3.0 7f9a7fbfc000-7f9a7fbfd000 rw-p 00009000 fc:01 9235 /usr/lib/libXrender.so.1.3.0 7f9a7fbfd000-7f9a7fc14000 r-xp 00000000 fc:01 15165 /usr/lib/libICE.so.6.3.0 7f9a7fc14000-7f9a7fe13000 ---p 00017000 fc:01 15165 /usr/lib/libICE.so.6.3.0 7f9a7fe13000-7f9a7fe14000 r--p 00016000 fc:01 15165 /usr/lib/libICE.so.6.3.0 7f9a7fe14000-7f9a7fe15000 rw-p 00017000 fc:01 15165 /usr/lib/libICE.so.6.3.0 7f9a7fe15000-7f9a7fe18000 rw-p 00000000 00:00 0 7f9a7fe18000-7f9a7fe20000 r-xp 00000000 fc:01 1752 /usr/lib/libSM.so.6.0.0 7f9a7fe20000-7f9a8001f000 ---p 00008000 fc:01 1752 /usr/lib/libSM.so.6.0.0 7f9a8001f000-7f9a80020000 r--p 00007000 fc:01 1752 /usr/lib/libSM.so.6.0.0 7f9a80020000-7f9a80021000 rw-p 00008000 fc:01 1752 /usr/lib/libSM.so.6.0.0 7f9a80021000-7f9a80065000 r-xp 00000000 fc:01 11750 /usr/lib/libgobject-2.0.so.0.2200.2 7f9a80065000-7f9a80265000 ---p 00044000 fc:01 11750 /usr/lib/libgobject-2.0.so.0.2200.2 7f9a80265000-7f9a80266000 r--p 00044000 fc:01 11750 /usr/lib/libgobject-2.0.so.0.2200.2 7f9a80266000-7f9a80267000 rw-p 00045000 fc:01 11750 /usr/lib/libgobject-2.0.so.0.2200.2 7f9a80267000-7f9a80268000 rw-p 00000000 00:00 0 7f9a80268000-7f9a802e7000 r-xp 00000000 fc:01 102604 /usr/lib/libfreetype.so.6.3.20 7f9a802e7000-7f9a804e7000 ---p 0007f000 fc:01 102604 /usr/lib/libfreetype.so.6.3.20 7f9a804e7000-7f9a804ec000 r--p 0007f000 fc:01 102604 /usr/lib/libfreetype.so.6.3.20 7f9a804ec000-7f9a804ed000 rw-p 00084000 fc:01 102604 /usr/lib/libfreetype.so.6.3.20 7f9a804ed000-7f9a80505000 r-xp 00000000 fc:01 2219 /usr/lib/libaudio.so.2.4 7f9a80505000-7f9a80704000 ---p 00018000 fc:01 2219 /usr/lib/libaudio.so.2.4 7f9a80704000-7f9a80705000 r--p 00017000 fc:01 2219 /usr/lib/libaudio.so.2.4 7f9a80705000-7f9a80706000 rw-p 00018000 fc:01 2219 /usr/lib/libaudio.so.2.4 7f9a80706000-7f9a80933000 r-xp 00000000 fc:01 28409 /usr/lib/libQtCore.so.4.5.2 7f9a80933000-7f9a80b32000 ---p 0022d000 fc:01 28409 /usr/lib/libQtCore.so.4.5.2 7f9a80b32000-7f9a80b3b000 r--p 0022c000 fc:01 28409 /usr/lib/libQtCore.so.4.5.2 7f9a80b3b000-7f9a80b3c000 rw-p 00235000 fc:01 28409 /usr/lib/libQtCore.so.4.5.2 7f9a80b3c000-7f9a80b3d000 rw-p 00000000 00:00 0 7f9a80b3d000-7f9a814af000 r-xp 00000000 fc:01 2230 /usr/lib/libQtGui.so.4.5.2 7f9a814af000-7f9a816ae000 ---p 00972000 fc:01 2230 /usr/lib/libQtGui.so.4.5.2 7f9a816ae000-7f9a816e9000 r--p 00971000 fc:01 2230 /usr/lib/libQtGui.so.4.5.2 7f9a816e9000-7f9a816ee000 rw-p 009ac000 fc:01 2230 /usr/lib/libQtGui.so.4.5.2 7f9a816ee000-7f9a816f1000 rw-p 00000000 00:00 0 7f9a816f1000-7f9a81746000 r-xp 00000000 fc:01 15494 /usr/lib/libQtSvg.so.4.5.2 7f9a81746000-7f9a81946000 ---p 00055000 fc:01 15494 /usr/lib/libQtSvg.so.4.5.2 7f9a81946000-7f9a81948000 r--p 00055000 fc:01 15494 /usr/lib/libQtSvg.so.4.5.2 7f9a81948000-7f9a81949000 rw-p 00057000 fc:01 15494 /usr/lib/libQtSvg.so.4.5.2 7f9a81949000-7f9a8198d000 r-xp 00000000 fc:01 28375 /usr/lib/libQtXml.so.4.5.2 7f9a8198d000-7f9a81b8d000 ---p 00044000 fc:01 28375 /usr/lib/libQtXml.so.4.5.2 7f9a81b8d000-7f9a81b8f000 r--p 00044000 fc:01 28375 /usr/lib/libQtXml.so.4.5.2 7f9a81b8f000-7f9a81b90000 rw-p 00046000 fc:01 28375 /usr/lib/libQtXml.so.4.5.2 7f9a81b90000-7f9a81ba0000 r-xp 00000000 fc:01 338237 /usr/local/lib/mlt/libmltqimage.so 7f9a81ba0000-7f9a81d9f000 ---p 00010000 fc:01 338237 /usr/local/lib/mlt/libmltqimage.so 7f9a81d9f000-7f9a81da0000 r--p 0000f000 fc:01 338237 /usr/local/lib/mlt/libmltqimage.so 7f9a81da0000-7f9a81da1000 rw-p 00010000 fc:01 338237 /usr/local/lib/mlt/libmltqimage.so 7f9a81da1000-7f9a81e13000 r-xp 00000000 fc:01 94950 /usr/lib/liboil-0.3.so.0.3.0 7f9a81e13000-7f9a82013000 ---p 00072000 fc:01 94950 /usr/lib/liboil-0.3.so.0.3.0 7f9a82013000-7f9a82014000 r--p 00072000 fc:01 94950 /usr/lib/liboil-0.3.so.0.3.0 7f9a82014000-7f9a8202f000 rw-p 00073000 fc:01 94950 /usr/lib/liboil-0.3.so.0.3.0 7f9a8202f000-7f9a82031000 rw-p 00000000 00:00 0 7f9a82031000-7f9a820ae000 r-xp 00000000 fc:01 29869 /usr/lib/libxvidcore.so.4.1 7f9a820ae000-7f9a822ae000 ---p 0007d000 fc:01 29869 /usr/lib/libxvidcore.so.4.1 7f9a822ae000-7f9a822af000 r--p 0007d000 fc:01 29869 /usr/lib/libxvidcore.so.4.1 7f9a822af000-7f9a822b9000 rw-p 0007e000 fc:01 29869 /usr/lib/libxvidcore.so.4.1 7f9a822b9000-7f9a82323000 rw-p 00000000 00:00 0 7f9a82323000-7f9a823b1000 r-xp 00000000 fc:01 94929 /usr/lib/libx264.so.67 7f9a823b1000-7f9a825b0000 ---p 0008e000 fc:01 94929 /usr/lib/libx264.so.67 7f9a825b0000-7f9a825b2000 r--p 0008d000 fc:01 94929 /usr/lib/libx264.so.67 7f9a825b2000-7f9a825b3000 rw-p 0008f000 fc:01 94929 /usr/lib/libx264.so.67 7f9a825b3000-7f9a825bb000 rw-p 00000000 00:00 0 7f9a825bb000-7f9a825d5000 r-xp 00000000 fc:01 29338 /usr/lib/libvorbisenc.so.2.0.3 7f9a825d5000-7f9a827d4000 ---p 0001a000 fc:01 29338 /usr/lib/libvorbisenc.so.2.0.3 7f9a827d4000-7f9a827d5000 r--p 00019000 fc:01 29338 /usr/lib/libvorbisenc.so.2.0.3 7f9a827d5000-7f9a82994000 rw-p 0001a000 fc:01 29338 /usr/lib/libvorbisenc.so.2.0.3 7f9a82994000-7f9a829e4000 r-xp 00000000 fc:01 94964 /usr/lib/libtheora.so.0.3.4 7f9a829e4000-7f9a82be3000 ---p 00050000 fc:01 94964 /usr/lib/libtheora.so.0.3.4 7f9a82be3000-7f9a82be4000 r--p 0004f000 fc:01 94964 /usr/lib/libtheora.so.0.3.4 7f9a82be4000-7f9a82be5000 rw-p 00050000 fc:01 94964 /usr/lib/libtheora.so.0.3.4 7f9a82be5000-7f9a82bfd000 r-xp 00000000 fc:01 29863 /usr/lib/libspeex.so.1.5.0 7f9a82bfd000-7f9a82dfd000 ---p 00018000 fc:01 29863 /usr/lib/libspeex.so.1.5.0 7f9a82dfd000-7f9a82dfe000 r--p 00018000 fc:01 29863 /usr/lib/libspeex.so.1.5.0 7f9a82dfe000-7f9a82dff000 rw-p 00019000 fc:01 29863 /usr/lib/libspeex.so.1.5.0 7f9a82dff000-7f9a82e7c000 r-xp 00000000 fc:01 27162 /usr/lib/libschroedinger-1.0.so.0.2.0 7f9a82e7c000-7f9a8307b000 ---p 0007d000 fc:01 27162 /usr/lib/libschroedinger-1.0.so.0.2.0 7f9a8307b000-7f9a8307d000 r--p 0007c000 fc:01 27162 /usr/lib/libschroedinger-1.0.so.0.2.0 7f9a8307d000-7f9a8307e000 rw-p 0007e000 fc:01 27162 /usr/lib/libschroedinger-1.0.so.0.2.0 7f9a8307e000-7f9a8309c000 r-xp 00000000 fc:01 48918 /usr/lib/libopenjpeg-2.1.3.0.so 7f9a8309c000-7f9a8329c000 ---p 0001e000 fc:01 48918 /usr/lib/libopenjpeg-2.1.3.0.so 7f9a8329c000-7f9a8329d000 r--p 0001e000 fc:01 48918 /usr/lib/libopenjpeg-2.1.3.0.so 7f9a8329d000-7f9a8329e000 rw-p 0001f000 fc:01 48918 /usr/lib/libopenjpeg-2.1.3.0.so 7f9a8329e000-7f9a832e3000 r-xp 00000000 fc:01 19133 /usr/lib/libmp3lame.so.0.0.0 7f9a832e3000-7f9a834e3000 ---p 00045000 fc:01 19133 /usr/lib/libmp3lame.so.0.0.0 7f9a834e3000-7f9a834e4000 r--p 00045000 fc:01 19133 /usr/lib/libmp3lame.so.0.0.0 7f9a834e4000-7f9a834e5000 rw-p 00046000 fc:01 19133 /usr/lib/libmp3lame.so.0.0.0 7f9a834e5000-7f9a83516000 rw-p 00000000 00:00 0 7f9a83516000-7f9a83553000 r-xp 00000000 fc:01 114033 /usr/lib/libfaad.so.0.0.0 7f9a83553000-7f9a83752000 ---p 0003d000 fc:01 114033 /usr/lib/libfaad.so.0.0.0 7f9a83752000-7f9a83753000 r--p 0003c000 fc:01 114033 /usr/lib/libfaad.so.0.0.0 7f9a83753000-7f9a83756000 rw-p 0003d000 fc:01 114033 /usr/lib/libfaad.so.0.0.0 7f9a83756000-7f9a837e3000 r-xp 00000000 fc:01 51027 /usr/lib/libdirac_encoder.so.0.1.0 7f9a837e3000-7f9a839e3000 ---p 0008d000 fc:01 51027 /usr/lib/libdirac_encoder.so.0.1.0 7f9a839e3000-7f9a839e6000 r--p 0008d000 fc:01 51027 /usr/lib/libdirac_encoder.so.0.1.0 7f9a839e6000-7f9a839e7000 rw-p 00090000 fc:01 51027 /usr/lib/libdirac_encoder.so.0.1.0 7f9a839e7000-7f9a839e8000 rw-p 00000000 00:00 0 7f9a839e8000-7f9a839f7000 r-xp 00000000 fc:01 4801 /lib/libbz2.so.1.0.4 7f9a839f7000-7f9a83bf7000 ---p 0000f000 fc:01 4801 /lib/libbz2.so.1.0.4 7f9a83bf7000-7f9a83bf8000 r--p 0000f000 fc:01 4801 /lib/libbz2.so.1.0.4 7f9a83bf8000-7f9a83bf9000 rw-p 00010000 fc:01 4801 /lib/libbz2.so.1.0.4 7f9a83bf9000-7f9a83c2c000 r-xp 00000000 fc:01 19445 /usr/lib/libswscale.so.0.7.1 7f9a83c2c000-7f9a83e2b000 ---p 00033000 fc:01 19445 /usr/lib/libswscale.so.0.7.1 7f9a83e2b000-7f9a83e2c000 r--p 00032000 fc:01 19445 /usr/lib/libswscale.so.0.7.1 7f9a83e2c000-7f9a83e2d000 rw-p 00033000 fc:01 19445 /usr/lib/libswscale.so.0.7.1 7f9a83e2d000-7f9a83e38000 r-xp 00000000 fc:01 19113 /usr/lib/libavutil.so.49.15.0 7f9a83e38000-7f9a84037000 ---p 0000b000 fc:01 19113 /usr/lib/libavutil.so.49.15.0 7f9a84037000-7f9a84038000 r--p 0000a000 fc:01 19113 /usr/lib/libavutil.so.49.15.0 7f9a84038000-7f9a84039000 rw-p 0000b000 fc:01 19113 /usr/lib/libavutil.so.49.15.0 7f9a84039000-7f9a8403c000 rw-p 00000000 00:00 0 7f9a8403c000-7f9a8456c000 r-xp 00000000 fc:01 48933 /usr/lib/libavcodec.so.52.20.0 7f9a8456c000-7f9a8476c000 ---p 00530000 fc:01 48933 /usr/lib/libavcodec.so.52.20.0 7f9a8476c000-7f9a84776000 r--p 00530000 fc:01 48933 /usr/lib/libavcodec.so.52.20.0 7f9a84776000-7f9a84783000 rw-p 0053a000 fc:01 48933 /usr/lib/libavcodec.so.52.20.0 7f9a84783000-7f9a84a94000 rw-p 00000000 00:00 0 7f9a84a94000-7f9a84b30000 r-xp 00000000 fc:01 48935 /usr/lib/libavformat.so.52.31.0 7f9a84b30000-7f9a84d30000 ---p 0009c000 fc:01 48935 /usr/lib/libavformat.so.52.31.0 7f9a84d30000-7f9a84d34000 r--p 0009c000 fc:01 48935 /usr/lib/libavformat.so.52.31.0 7f9a84d34000-7f9a84d3d000 rw-p 000a0000 fc:01 48935 /usr/lib/libavformat.so.52.31.0 7f9a84d3d000-7f9a84d89000 rw-p 00000000 00:00 0 7f9a84d89000-7f9a84d97000 r-xp 00000000 fc:01 338241 /usr/local/lib/mlt/libmltavformat.so 7f9a84d97000-7f9a84f96000 ---p 0000e000 fc:01 338241 /usr/local/lib/mlt/libmltavformat.so 7f9a84f96000-7f9a84f97000 r--p 0000d000 fc:01 338241 /usr/local/lib/mlt/libmltavformat.so 7f9a84f97000-7f9a84f98000 rw-p 0000e000 fc:01 338241 /usr/local/lib/mlt/libmltavformat.so 7f9a84f98000-7f9a84f9d000 r-xp 00000000 fc:01 338230 /usr/local/lib/mlt/libmltkdenlive.so 7f9a84f9d000-7f9a8519c000 ---p 00005000 fc:01 338230 /usr/local/lib/mlt/libmltkdenlive.so 7f9a8519c000-7f9a8519d000 r--p 00004000 fc:01 338230 /usr/local/lib/mlt/libmltkdenlive.so 7f9a8519d000-7f9a8519e000 rw-p 00005000 fc:01 338230 /usr/local/lib/mlt/libmltkdenlive.so 7f9a8519e000-7f9a851a2000 r-xp 00000000 fc:01 338289 /usr/local/lib/mlt/libmltvmfx.so 7f9a851a2000-7f9a853a1000 ---p 00004000 fc:01 338289 /usr/local/lib/mlt/libmltvmfx.so 7f9a853a1000-7f9a853a2000 r--p 00003000 fc:01 338289 /usr/local/lib/mlt/libmltvmfx.so 7f9a853a2000-7f9a853a3000 rw-p 00004000 fc:01 338289 /usr/local/lib/mlt/libmltvmfx.so 7f9a853a3000-7f9a853a6000 r-xp 00000000 fc:01 338215 /usr/local/lib/mlt/libmlteffectv.so 7f9a853a6000-7f9a855a5000 ---p 00003000 fc:01 338215 /usr/local/lib/mlt/libmlteffectv.so 7f9a855a5000-7f9a855a6000 r--p 00002000 fc:01 338215 /usr/local/lib/mlt/libmlteffectv.so 7f9a855a6000-7f9a855a7000 rw-p 00003000 fc:01 338215 /usr/local/lib/mlt/libmlteffectv.so 7f9a855a7000-7f9a855b1000 r-xp 00000000 fc:01 338236 /usr/local/lib/mlt/libmltmotion_est.so 7f9a855b1000-7f9a857b0000 ---p 0000a000 fc:01 338236 /usr/local/lib/mlt/libmltmotion_est.so 7f9a857b0000-7f9a857b1000 r--p 00009000 fc:01 338236 /usr/local/lib/mlt/libmltmotion_est.so 7f9a857b1000-7f9a857b2000 rw-p 0000a000 fc:01 338236 /usr/local/lib/mlt/libmltmotion_est.so 7f9a857b2000-7f9a857b4000 r-xp 00000000 fc:01 338212 /usr/local/lib/mlt/libmltresample.so 7f9a857b4000-7f9a859b3000 ---p 00002000 fc:01 338212 /usr/local/lib/mlt/libmltresample.so 7f9a859b3000-7f9a859b4000 r--p 00001000 fc:01 338212 /usr/local/lib/mlt/libmltresample.so 7f9a859b4000-7f9a859b5000 rw-p 00002000 fc:01 338212 /usr/local/lib/mlt/libmltresample.so 7f9a859b5000-7f9a859b8000 r-xp 00000000 fc:01 338235 /usr/local/lib/mlt/libmltnormalize.so 7f9a859b8000-7f9a85bb7000 ---p 00003000 fc:01 338235 /usr/local/lib/mlt/libmltnormalize.so 7f9a85bb7000-7f9a85bb8000 r--p 00002000 fc:01 338235 /usr/local/lib/mlt/libmltnormalize.so 7f9a85bb8000-7f9a85bb9000 rw-p 00003000 fc:01 338235 /usr/local/lib/mlt/libmltnormalize.so 7f9a85bb9000-7f9a85bbe000 r-xp 00000000 fc:01 2340 /usr/lib/libogg.so.0.6.0 7f9a85bbe000-7f9a85dbd000 ---p 00005000 fc:01 2340 /usr/lib/libogg.so.0.6.0 7f9a85dbd000-7f9a85dbe000 r--p 00004000 fc:01 2340 /usr/lib/libogg.so.0.6.0 7f9a85dbe000-7f9a85dbf000 rw-p 00005000 fc:01 2340 /usr/lib/libogg.so.0.6.0 7f9a85dbf000-7f9a85dde000 r-xp 00000000 fc:01 29331 /usr/lib/libvorbis.so.0.4.0 7f9a85dde000-7f9a85fdd000 ---p 0001f000 fc:01 29331 /usr/lib/libvorbis.so.0.4.0 7f9a85fdd000-7f9a85fde000 r--p 0001e000 fc:01 29331 /usr/lib/libvorbis.so.0.4.0 7f9a85fde000-7f9a85fec000 rw-p 0001f000 fc:01 29331 /usr/lib/libvorbis.so.0.4.0 7f9a85fec000-7f9a85ff3000 r-xp 00000000 fc:01 116824 /usr/lib/libvorbisfile.so.3.2.0 7f9a85ff3000-7f9a861f2000 ---p 00007000 fc:01 116824 /usr/lib/libvorbisfile.so.3.2.0 7f9a861f2000-7f9a861f3000 r--p 00006000 fc:01 116824 /usr/lib/libvorbisfile.so.3.2.0 7f9a861f3000-7f9a861f4000 rw-p 00007000 fc:01 116824 /usr/lib/libvorbisfile.so.3.2.0 7f9a861f4000-7f9a861f7000 r-xp 00000000 fc:01 338243 /usr/local/lib/mlt/libmltvorbis.so 7f9a861f7000-7f9a863f6000 ---p 00003000 fc:01 338243 /usr/local/lib/mlt/libmltvorbis.so 7f9a863f6000-7f9a863f7000 r--p 00002000 fc:01 338243 /usr/local/lib/mlt/libmltvorbis.so 7f9a863f7000-7f9a863f8000 rw-p 00003000 fc:01 338243 /usr/local/lib/mlt/libmltvorbis.so 7f9a863f8000-7f9a8640e000 r-xp 00000000 fc:01 338224 /usr/local/lib/mlt/libmltcore.so 7f9a8640e000-7f9a8660e000 ---p 00016000 fc:01 338224 /usr/local/lib/mlt/libmltcore.so 7f9a8660e000-7f9a8660f000 r--p 00016000 fc:01 338224 /usr/local/lib/mlt/libmltcore.so 7f9a8660f000-7f9a86610000 rw-p 00017000 fc:01 338224 /usr/local/lib/mlt/libmltcore.so 7f9a86610000-7f9a86612000 r-xp 00000000 fc:01 338231 /usr/local/lib/mlt/libmltxine.so 7f9a86612000-7f9a86812000 ---p 00002000 fc:01 338231 /usr/local/lib/mlt/libmltxine.so 7f9a86812000-7f9a86813000 r--p 00002000 fc:01 338231 /usr/local/lib/mlt/libmltxine.so 7f9a86813000-7f9a86814000 rw-p 00003000 fc:01 338231 /usr/local/lib/mlt/libmltxine.so 7f9a86814000-7f9a86819000 r-xp 00000000 fc:01 338216 /usr/local/lib/mlt/libmltplus.so 7f9a86819000-7f9a86a18000 ---p 00005000 fc:01 338216 /usr/local/lib/mlt/libmltplus.so 7f9a86a18000-7f9a86a19000 r--p 00004000 fc:01 338216 /usr/local/lib/mlt/libmltplus.so 7f9a86a19000-7f9a86a1a000 rw-p 00005000 fc:01 338216 /usr/local/lib/mlt/libmltplus.so 7f9a86a1a000-7f9a86a26000 r-xp 00000000 fc:01 94933 /usr/lib/libgsm.so.1.0.12 7f9a86a26000-7f9a86c26000 ---p 0000c000 fc:01 94933 /usr/lib/libgsm.so.1.0.12 7f9a86c26000-7f9a86c27000 r--p 0000c000 fc:01 94933 /usr/lib/libgsm.so.1.0.12 7f9a86c27000-7f9a86c28000 rw-p 0000d000 fc:01 94933 /usr/lib/libgsm.so.1.0.12 7f9a86c28000-7f9a86c35000 r-xp 00000000 fc:01 22341 /usr/lib/libgomp.so.1.0.0 7f9a86c35000-7f9a86e34000 ---p 0000d000 fc:01 22341 /usr/lib/libgomp.so.1.0.0 7f9a86e34000-7f9a86e35000 r--p 0000c000 fc:01 22341 /usr/lib/libgomp.so.1.0.0 7f9a86e35000-7f9a86e36000 rw-p 0000d000 fc:01 22341 /usr/lib/libgomp.so.1.0.0 7f9a86e36000-7f9a86e50000 r-xp 00000000 fc:01 3672 /usr/lib/libmagic.so.1.0.0 7f9a86e50000-7f9a87050000 ---p 0001a000 fc:01 3672 /usr/lib/libmagic.so.1.0.0 7f9a87050000-7f9a87051000 r--p 0001a000 fc:01 3672 /usr/lib/libmagic.so.1.0.0 7f9a87051000-7f9a87052000 rw-p 0001b000 fc:01 3672 /usr/lib/libmagic.so.1.0.0 7f9a87052000-7f9a8705a000 r-xp 00000000 fc:01 29339 /usr/lib/libltdl.so.7.2.0 7f9a8705a000-7f9a8725a000 ---p 00008000 fc:01 29339 /usr/lib/libltdl.so.7.2.0 7f9a8725a000-7f9a8725b000 r--p 00008000 fc:01 29339 /usr/lib/libltdl.so.7.2.0 7f9a8725b000-7f9a8725c000 rw-p 00009000 fc:01 29339 /usr/lib/libltdl.so.7.2.0 7f9a8725c000-7f9a872e6000 r-xp 00000000 fc:01 48931 /usr/lib/libsox.so.1.0.0 7f9a872e6000-7f9a874e6000 ---p 0008a000 fc:01 48931 /usr/lib/libsox.so.1.0.0 7f9a874e6000-7f9a874e8000 r--p 0008a000 fc:01 48931 /usr/lib/libsox.so.1.0.0 7f9a874e8000-7f9a874ec000 rw-p 0008c000 fc:01 48931 /usr/lib/libsox.so.1.0.0 7f9a874ec000-7f9a874ee000 r-xp 00000000 fc:01 338232 /usr/local/lib/mlt/libmltsox.so 7f9a874ee000-7f9a876ed000 ---p 00002000 fc:01 338232 /usr/local/lib/mlt/libmltsox.so 7f9a876ed000-7f9a876ee000 r--p 00001000 fc:01 338232 /usr/local/lib/mlt/libmltsox.so 7f9a876ee000-7f9a876ef000 rw-p 00002000 fc:01 338232 /usr/local/lib/mlt/libmltsox.so 7f9a876ef000-7f9a8771c000 r-xp 00000000 fc:01 2846 /lib/libpcre.so.3.12.1 7f9a8771c000-7f9a8791b000 ---p 0002d000 fc:01 2846 /lib/libpcre.so.3.12.1 7f9a8791b000-7f9a8791c000 r--p 0002c000 fc:01 2846 /lib/libpcre.so.3.12.1 7f9a8791c000-7f9a8791d000 rw-p 0002d000 fc:01 2846 /lib/libpcre.so.3.12.1 7f9a8791d000-7f9a8792f000 r-xp 00000000 fc:01 116727 /usr/lib/libcelt.so.0.0.0 7f9a8792f000-7f9a87b2e000 ---p 00012000 fc:01 116727 /usr/lib/libcelt.so.0.0.0 7f9a87b2e000-7f9a87b2f000 r--p 00011000 fc:01 116727 /usr/lib/libcelt.so.0.0.0 7f9a87b2f000-7f9a87b30000 rw-p 00012000 fc:01 116727 /usr/lib/libcelt.so.0.0.0 7f9a87b30000-7f9a87c9b000 r-xp 00000000 fc:01 41353 /usr/lib/libsamplerate.so.0.1.7 7f9a87c9b000-7f9a87e9a000 ---p 0016b000 fc:01 41353 /usr/lib/libsamplerate.so.0.1.7 7f9a87e9a000-7f9a87e9b000 r--p 0016a000 fc:01 41353 /usr/lib/libsamplerate.so.0.1.7 7f9a87e9b000-7f9a87e9c000 rw-p 0016b000 fc:01 41353 /usr/lib/libsamplerate.so.0.1.7 7f9a87e9c000-7f9a87f61000 r-xp 00000000 fc:01 11749 /lib/libglib-2.0.so.0.2200.2 7f9a87f61000-7f9a88160000 ---p 000c5000 fc:01 11749 /lib/libglib-2.0.so.0.2200.2 7f9a88160000-7f9a88161000 r--p 000c4000 fc:01 11749 /lib/libglib-2.0.so.0.2200.2 7f9a88161000-7f9a88162000 rw-p 000c5000 fc:01 11749 /lib/libglib-2.0.so.0.2200.2 7f9a88162000-7f9a88163000 rw-p 00000000 00:00 0 7f9a88163000-7f9a882a7000 r-xp 00000000 fc:01 2807 /usr/lib/libxml2.so.2.7.5 7f9a882a7000-7f9a884a6000 ---p 00144000 fc:01 2807 /usr/lib/libxml2.so.2.7.5 7f9a884a6000-7f9a884ae000 r--p 00143000 fc:01 2807 /usr/lib/libxml2.so.2.7.5 7f9a884ae000-7f9a884b0000 rw-p 0014b000 fc:01 2807 /usr/lib/libxml2.so.2.7.5 7f9a884b0000-7f9a884b1000 rw-p 00000000 00:00 0 7f9a884b1000-7f9a884c3000 r-xp 00000000 fc:01 116812 /usr/lib/libjack.so.0.0.28 7f9a884c3000-7f9a886c2000 ---p 00012000 fc:01 116812 /usr/lib/libjack.so.0.0.28 7f9a886c2000-7f9a886c3000 r--p 00011000 fc:01 116812 /usr/lib/libjack.so.0.0.28 7f9a886c3000-7f9a886c5000 rw-p 00012000 fc:01 116812 /usr/lib/libjack.so.0.0.28 7f9a886c5000-7f9a886cd000 rw-p 00000000 00:00 0 7f9a886cd000-7f9a886d8000 r-xp 00000000 fc:01 338234 /usr/local/lib/mlt/libmltjackrack.so 7f9a886d8000-7f9a888d8000 ---p 0000b000 fc:01 338234 /usr/local/lib/mlt/libmltjackrack.so 7f9a888d8000-7f9a888d9000 r--p 0000b000 fc:01 338234 /usr/local/lib/mlt/libmltjackrack.so 7f9a888d9000-7f9a888da000 rw-p 0000c000 fc:01 338234 /usr/local/lib/mlt/libmltjackrack.so 7f9a888da000-7f9a888df000 r-xp 00000000 fc:01 338238 /usr/local/lib/mlt/libmltdv.so 7f9a888df000-7f9a88ade000 ---p 00005000 fc:01 338238 /usr/local/lib/mlt/libmltdv.so 7f9a88ade000-7f9a88adf000 r--p 00004000 fc:01 338238 /usr/local/lib/mlt/libmltdv.so 7f9a88adf000-7f9a88ae0000 rw-p 00005000 fc:01 338238 /usr/local/lib/mlt/libmltdv.so 7f9a88ae0000-7f9a88af6000 r-xp 00000000 fc:01 12849 /lib/libgcc_s.so.1 7f9a88af6000-7f9a88cf5000 ---p 00016000 fc:01 12849 /lib/libgcc_s.so.1 7f9a88cf5000-7f9a88cf6000 r--p 00015000 fc:01 12849 /lib/libgcc_s.so.1 7f9a88cf6000-7f9a88cf7000 rw-p 00016000 fc:01 12849 /lib/libgcc_s.so.1 7f9a88cf7000-7f9a88d12000 r-xp 00000000 fc:01 90329 /usr/lib/libdv.so.4.0.3 7f9a88d12000-7f9a88f11000 ---p 0001b000 fc:01 90329 /usr/lib/libdv.so.4.0.3 7f9a88f11000-7f9a88f12000 r--p 0001a000 fc:01 90329 /usr/lib/libdv.so.4.0.3 7f9a88f12000-7f9a88f14000 rw-p 0001b000 fc:01 90329 /usr/lib/libdv.so.4.0.3 7f9a88f14000-7f9a88f22000 rw-p 00000000 00:00 0 7f9a88f22000-7f9a88f9b000 r-xp 00000000 fc:01 47330 /usr/lib/libquicktime.so.1.0.0 7f9a88f9b000-7f9a8919b000 ---p 00079000 fc:01 47330 /usr/lib/libquicktime.so.1.0.0 7f9a8919b000-7f9a8919c000 r--p 00079000 fc:01 47330 /usr/lib/libquicktime.so.1.0.0 7f9a8919c000-7f9a8919f000 rw-p 0007a000 fc:01 47330 /usr/lib/libquicktime.so.1.0.0 7f9a8919f000-7f9a891a0000 rw-p 00000000 00:00 0 7f9a891a0000-7f9a89292000 r-xp 00000000 fc:01 12947 /usr/lib/libstdc++.so.6.0.13 7f9a89292000-7f9a89492000 ---p 000f2000 fc:01 12947 /usr/lib/libstdc++.so.6.0.13 7f9a89492000-7f9a89499000 r--p 000f2000 fc:01 12947 /usr/lib/libstdc++.so.6.0.13 7f9a89499000-7f9a8949b000 rw-p 000f9000 fc:01 12947 /usr/lib/libstdc++.so.6.0.13 7f9a8949b000-7f9a894b0000 rw-p 00000000 00:00 0 7f9a894b0000-7f9a894c8000 r-xp 00000000 fc:01 338288 /usr/local/lib/mlt/libmltkino.so 7f9a894c8000-7f9a896c7000 ---p 00018000 fc:01 338288 /usr/local/lib/mlt/libmltkino.so 7f9a896c7000-7f9a896c8000 r--p 00017000 fc:01 338288 /usr/local/lib/mlt/libmltkino.so 7f9a896c8000-7f9a896c9000 rw-p 00018000 fc:01 338288 /usr/local/lib/mlt/libmltkino.so 7f9a896c9000-7f9a896d0000 r-xp 00000000 fc:01 12031 /lib/librt-2.10.1.so 7f9a896d0000-7f9a898cf000 ---p 00007000 fc:01 12031 /lib/librt-2.10.1.so 7f9a898cf000-7f9a898d0000 r--p 00006000 fc:01 12031 /lib/librt-2.10.1.so 7f9a898d0000-7f9a898d1000 rw-p 00007000 fc:01 12031 /lib/librt-2.10.1.so 7f9a898d1000-7f9a898d6000 r-xp 00000000 fc:01 15232 /usr/lib/libXdmcp.so.6.0.0 7f9a898d6000-7f9a89ad5000 ---p 00005000 fc:01 15232 /usr/lib/libXdmcp.so.6.0.0 7f9a89ad5000-7f9a89ad6000 rw-p 00004000 fc:01 15232 /usr/lib/libXdmcp.so.6.0.0 7f9a89ad6000-7f9a89ad8000 r-xp 00000000 fc:01 101954 /usr/lib/libXau.so.6.0.0 7f9a89ad8000-7f9a89cd7000 ---p 00002000 fc:01 101954 /usr/lib/libXau.so.6.0.0 7f9a89cd7000-7f9a89cd8000 r--p 00001000 fc:01 101954 /usr/lib/libXau.so.6.0.0 7f9a89cd8000-7f9a89cd9000 rw-p 00002000 fc:01 101954 /usr/lib/libXau.so.6.0.0 7f9a89cd9000-7f9a89cef000 r-xp 00000000 fc:01 2954 /lib/libz.so.1.2.3.3 7f9a89cef000-7f9a89eee000 ---p 00016000 fc:01 2954 /lib/libz.so.1.2.3.3 7f9a89eee000-7f9a89eef000 r--p 00015000 fc:01 2954 /lib/libz.so.1.2.3.3 7f9a89eef000-7f9a89ef0000 rw-p 00016000 fc:01 2954 /lib/libz.so.1.2.3.3 7f9a89ef0000-7f9a89f48000 r-xp 00000000 fc:01 3291 /usr/lib/libtiff.so.4.2.1 7f9a89f48000-7f9a8a148000 ---p 00058000 fc:01 3291 /usr/lib/libtiff.so.4.2.1 7f9a8a148000-7f9a8a14a000 r--p 00058000 fc:01 3291 /usr/lib/libtiff.so.4.2.1 7f9a8a14a000-7f9a8a14b000 rw-p 0005a000 fc:01 3291 /usr/lib/libtiff.so.4.2.1 7f9a8a14b000-7f9a8a16e000 r-xp 00000000 fc:01 15525 /usr/lib/libjpeg.so.62.0.0 7f9a8a16e000-7f9a8a36e000 ---p 00023000 fc:01 15525 /usr/lib/libjpeg.so.62.0.0 7f9a8a36e000-7f9a8a36f000 r--p 00023000 fc:01 15525 /usr/lib/libjpeg.so.62.0.0 7f9a8a36f000-7f9a8a370000 rw-p 00024000 fc:01 15525 /usr/lib/libjpeg.so.62.0.0 7f9a8a370000-7f9a8a395000 r-xp 00000000 fc:01 103477 /usr/lib/libpng12.so.0.37.0 7f9a8a395000-7f9a8a595000 ---p 00025000 fc:01 103477 /usr/lib/libpng12.so.0.37.0 7f9a8a595000-7f9a8a596000 r--p 00025000 fc:01 103477 /usr/lib/libpng12.so.0.37.0 7f9a8a596000-7f9a8a597000 rw-p 00026000 fc:01 103477 /usr/lib/libpng12.so.0.37.0 7f9a8a597000-7f9a8a5b0000 r-xp 00000000 fc:01 6785 /usr/lib/libdirect-1.2.so.0.7.0 7f9a8a5b0000-7f9a8a7af000 ---p 00019000 fc:01 6785 /usr/lib/libdirect-1.2.so.0.7.0 7f9a8a7af000-7f9a8a7b0000 r--p 00018000 fc:01 6785 /usr/lib/libdirect-1.2.so.0.7.0 7f9a8a7b0000-7f9a8a7b1000 rw-p 00019000 fc:01 6785 /usr/lib/libdirect-1.2.so.0.7.0 7f9a8a7b1000-7f9a8a7b2000 rw-p 00000000 00:00 0 7f9a8a7b2000-7f9a8a7bb000 r-xp 00000000 fc:01 6787 /usr/lib/libfusion-1.2.so.0.7.0 7f9a8a7bb000-7f9a8a9ba000 ---p 00009000 fc:01 6787 /usr/lib/libfusion-1.2.so.0.7.0 7f9a8a9ba000-7f9a8a9bb000 r--p 00008000 fc:01 6787 /usr/lib/libfusion-1.2.so.0.7.0 7f9a8a9bb000-7f9a8a9bc000 rw-p 00009000 fc:01 6787 /usr/lib/libfusion-1.2.so.0.7.0 7f9a8a9bc000-7f9a8aa43000 r-xp 00000000 fc:01 6786 /usr/lib/libdirectfb-1.2.so.0.7.0 7f9a8aa43000-7f9a8ac42000 ---p 00087000 fc:01 6786 /usr/lib/libdirectfb-1.2.so.0.7.0 7f9a8ac42000-7f9a8ac44000 r--p 00086000 fc:01 6786 /usr/lib/libdirectfb-1.2.so.0.7.0 7f9a8ac44000-7f9a8ac46000 rw-p 00088000 fc:01 6786 /usr/lib/libdirectfb-1.2.so.0.7.0 7f9a8ac46000-7f9a8ac47000 rw-p 00000000 00:00 0 7f9a8ac47000-7f9a8ad21000 r-xp 00000000 fc:01 3879 /usr/lib/libasound.so.2.0.0 7f9a8ad21000-7f9a8af20000 ---p 000da000 fc:01 3879 /usr/lib/libasound.so.2.0.0 7f9a8af20000-7f9a8af26000 r--p 000d9000 fc:01 3879 /usr/lib/libasound.so.2.0.0 7f9a8af26000-7f9a8af27000 rw-p 000df000 fc:01 3879 /usr/lib/libasound.so.2.0.0 7f9a8af27000-7f9a8af42000 r-xp 00000000 fc:01 101898 /usr/lib/libxcb.so.1.1.0 7f9a8af42000-7f9a8b141000 ---p 0001b000 fc:01 101898 /usr/lib/libxcb.so.1.1.0 7f9a8b141000-7f9a8b142000 r--p 0001a000 fc:01 101898 /usr/lib/libxcb.so.1.1.0 7f9a8b142000-7f9a8b143000 rw-p 0001b000 fc:01 101898 /usr/lib/libxcb.so.1.1.0 7f9a8b143000-7f9a8b14f000 r-xp 00000000 fc:01 61422 /usr/lib/libSDL_image-1.2.so.0.1.6 7f9a8b14f000-7f9a8b34e000 ---p 0000c000 fc:01 61422 /usr/lib/libSDL_image-1.2.so.0.1.6 7f9a8b34e000-7f9a8b34f000 r--p 0000b000 fc:01 61422 /usr/lib/libSDL_image-1.2.so.0.1.6 7f9a8b34f000-7f9a8b350000 rw-p 0000c000 fc:01 61422 /usr/lib/libSDL_image-1.2.so.0.1.6 7f9a8b350000-7f9a8b360000 rw-p 00000000 00:00 0 7f9a8b360000-7f9a8b3c9000 r-xp 00000000 fc:01 94911 /usr/lib/libSDL-1.2.so.0.11.2 7f9a8b3c9000-7f9a8b5c8000 ---p 00069000 fc:01 94911 /usr/lib/libSDL-1.2.so.0.11.2 7f9a8b5c8000-7f9a8b5c9000 r--p 00068000 fc:01 94911 /usr/lib/libSDL-1.2.so.0.11.2 7f9a8b5c9000-7f9a8b5cb000 rw-p 00069000 fc:01 94911 /usr/lib/libSDL-1.2.so.0.11.2 7f9a8b5cb000-7f9a8b5f7000 rw-p 00000000 00:00 0 7f9a8b5f7000-7f9a8b728000 r-xp 00000000 fc:01 102138 /usr/lib/libX11.so.6.2.0 7f9a8b728000-7f9a8b928000 ---p 00131000 fc:01 102138 /usr/lib/libX11.so.6.2.0 7f9a8b928000-7f9a8b929000 r--p 00131000 fc:01 102138 /usr/lib/libX11.so.6.2.0 7f9a8b929000-7f9a8b92d000 rw-p 00132000 fc:01 102138 /usr/lib/libX11.so.6.2.0 7f9a8b92d000-7f9a8b9af000 r-xp 00000000 fc:01 2330 /lib/libm-2.10.1.so 7f9a8b9af000-7f9a8bbaf000 ---p 00082000 fc:01 2330 /lib/libm-2.10.1.so 7f9a8bbaf000-7f9a8bbb0000 r--p 00082000 fc:01 2330 /lib/libm-2.10.1.so 7f9a8bbb0000-7f9a8bbb1000 rw-p 00083000 fc:01 2330 /lib/libm-2.10.1.so 7f9a8bbb1000-7f9a8bbbb000 r-xp 00000000 fc:01 338214 /usr/local/lib/mlt/libmltsdl.so 7f9a8bbbb000-7f9a8bdba000 ---p 0000a000 fc:01 338214 /usr/local/lib/mlt/libmltsdl.so 7f9a8bdba000-7f9a8bdbb000 r--p 00009000 fc:01 338214 /usr/local/lib/mlt/libmltsdl.so 7f9a8bdbb000-7f9a8bdbc000 rw-p 0000a000 fc:01 338214 /usr/local/lib/mlt/libmltsdl.so 7f9a8bdbc000-7f9a8bdbe000 r-xp 00000000 fc:01 2329 /lib/libdl-2.10.1.so 7f9a8bdbe000-7f9a8bfbe000 ---p 00002000 fc:01 2329 /lib/libdl-2.10.1.so 7f9a8bfbe000-7f9a8bfbf000 r--p 00002000 fc:01 2329 /lib/libdl-2.10.1.so 7f9a8bfbf000-7f9a8bfc0000 rw-p 00003000 fc:01 2329 /lib/libdl-2.10.1.so 7f9a8bfc0000-7f9a8c126000 r-xp 00000000 fc:01 2302 /lib/libc-2.10.1.so 7f9a8c126000-7f9a8c325000 ---p 00166000 fc:01 2302 /lib/libc-2.10.1.so 7f9a8c325000-7f9a8c329000 r--p 00165000 fc:01 2302 /lib/libc-2.10.1.so 7f9a8c329000-7f9a8c32a000 rw-p 00169000 fc:01 2302 /lib/libc-2.10.1.so 7f9a8c32a000-7f9a8c32f000 rw-p 00000000 00:00 0 7f9a8c32f000-7f9a8c346000 r-xp 00000000 fc:01 12029 /lib/libpthread-2.10.1.so 7f9a8c346000-7f9a8c545000 ---p 00017000 fc:01 12029 /lib/libpthread-2.10.1.so 7f9a8c545000-7f9a8c546000 r--p 00016000 fc:01 12029 /lib/libpthread-2.10.1.so 7f9a8c546000-7f9a8c547000 rw-p 00017000 fc:01 12029 /lib/libpthread-2.10.1.so 7f9a8c547000-7f9a8c54b000 rw-p 00000000 00:00 0 7f9a8c54b000-7f9a8c56c000 r-xp 00000000 fc:01 51379 /usr/local/lib/libmlt.so.0.4.7 7f9a8c56c000-7f9a8c76b000 ---p 00021000 fc:01 51379 /usr/local/lib/libmlt.so.0.4.7 7f9a8c76b000-7f9a8c76c000 r--p 00020000 fc:01 51379 /usr/local/lib/libmlt.so.0.4.7 7f9a8c76c000-7f9a8c76d000 rw-p 00021000 fc:01 51379 /usr/local/lib/libmlt.so.0.4.7 7f9a8c76d000-7f9a8c78c000 r-xp 00000000 fc:01 2160 /lib/ld-2.10.1.so 7f9a8c7b3000-7f9a8c961000 rw-p 00000000 00:00 0 7f9a8c988000-7f9a8c98b000 rw-p 00000000 00:00 0 7f9a8c98b000-7f9a8c98c000 r--p 0001e000 fc:01 2160 /lib/ld-2.10.1.so 7f9a8c98c000-7f9a8c98d000 rw-p 0001f000 fc:01 2160 /lib/ld-2.10.1.so 7fff8b6ca000-7fff8b6df000 rw-p 00000000 00:00 0 [stack] 7fff8b7ff000-7fff8b800000 r-xp 00000000 00:00 0 [vdso] ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall]
Steps To ReproduceImport some clip into project, drop it to the timeline, render project using one of the listed profiles above.
Additional InformationTried with a variety of setups. Currently using kdenlive 0.7.6 from unofficial kubuntu karmic (9.10) packages provided by "sunab" (deb http://ppa.launchpad.net/sunab/ppa/ubuntu [^] karmic main), but I've tried also to compile everything by myself from SVN/Git (kdenlive 0.7.7, ffmpeg, mlt and frei0r) with same behaviour.
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships
parent of 0001242closedddennedy Rendering fails for xvid and mpeg4 
has duplicate 0001250closedj-b-m Rendering fails at 99% 

-  Notes
(0004283)
tidris769 (reporter)
2009-11-17 04:25

I saw something similar happen to me when trying mlt 0.4.7. Problem went away after going back to mlt 0.4.6 and making sure all remains of 0.4.7 were completely gone.
(0004291)
Granjow (developer)
2009-11-17 20:15

Confirmed.

If anyone wants to know how to get 0.4.6 via mlt:

git clone git://mltframework.org/mlt.git [^]
cd mlt
git checkout v0.4.6

Then the rest like here.
http://kdenlive.org/user-manual/downloading-and-installing-kdenlive/installing-source/installing-mlt-rendering-engine [^]
(0004294)
guiodic (reporter)
2009-11-17 21:36

I confirm the bug on i386
(0004344)
nyme (reporter)
2009-11-25 15:43

I confirm this bug with kdenlive build with builder wizard and all the software from 15/11 ...in 9.10 64b

Thanks
(0004345)
orestes (reporter)
2009-11-25 15:58

I can confirm that this bug is NOT present with MLT v0.4.6 checked out form its Git repository as "Granjow" showed up.

In fact, there's no "v0.4.7" tag into MLT Git repository, so I assume v0.4.7 is still work in progress...

Moreover: all last version number tags are even, so clearly v0.4.7 (or master) is an unstable branch. Should probably be advertised elsewhere.
(0004346)
tidris769 (reporter)
2009-11-25 18:02

When I mentioned mlt 0.4.7 above I was referring to the git mlt, which is reported as 0.4.7 by the kdenlive config wizard.
(0004397)
akirk (reporter)
2009-12-02 20:59
edited on: 2009-12-02 21:06

Confirm here on any .mp4 render, using yesterdays kdenlive/mlt/ffmpeg.
Problem is at the end of the render process.
I can always eproduce problem this way:
   melt -profile hdv_720_30p hi1.mp4 -consumer avformat:h.mp4
Allowing this to finish will always segfault, with buffer overflow detected and corrupted output [[mov,mp4,m4a,3gp,3g2,mj2 @ 0x10c7080]moov atom not found]
If I use the 'q' key to stop melt before the end, the output file is perfect.
If I use:
   melt -profile hdv_720_30p hi1.mp4 -consumer avformat:h.avi
it will not segfault, but playibg the .avi in melt HAS BLANK FRAME appended to file.

(0004401)
ddennedy (developer)
2009-12-06 23:59

0.4.7 is not a release. Any version ending in an odd number is not a release version. There will be no wine before its time.
(0004403)
ddennedy (developer)
2009-12-07 05:20

partially addressed in mlt git commit 5777786

Outputs using a PCM audio codec are still failing.
(0004409)
ddennedy (developer)
2009-12-07 07:26

fixed in mlt git commit 7cc1360

- Issue History
Date Modified Username Field Change
2009-11-16 18:10 orestes New Issue
2009-11-16 18:10 orestes Build/Install Method => 3rd party package
2009-11-17 04:25 tidris769 Note Added: 0004283
2009-11-17 20:12 Granjow Relationship added parent of 0001242
2009-11-17 20:15 Granjow Note Added: 0004291
2009-11-17 20:15 Granjow Status new => acknowledged
2009-11-17 21:36 guiodic Note Added: 0004294
2009-11-17 22:09 Granjow Platform GNU/Linux 64bit => GNU/Linux amd64,i386
2009-11-25 15:43 nyme Note Added: 0004344
2009-11-25 15:58 orestes Note Added: 0004345
2009-11-25 18:02 tidris769 Note Added: 0004346
2009-12-02 20:59 akirk Note Added: 0004397
2009-12-02 21:06 akirk Note Edited: 0004397 View Revisions
2009-12-06 23:58 ddennedy Status acknowledged => assigned
2009-12-06 23:58 ddennedy Assigned To => ddennedy
2009-12-06 23:59 ddennedy Note Added: 0004401
2009-12-07 05:20 ddennedy Note Added: 0004403
2009-12-07 07:26 ddennedy Note Added: 0004409
2009-12-07 07:26 ddennedy Status assigned => resolved
2009-12-07 07:26 ddennedy Resolution open => fixed
2009-12-09 15:18 j-b-m Relationship added has duplicate 0001250
2010-02-02 10:34 j-b-m Fixed in Version => 0.7.7
2010-02-20 08:17 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker